import os
import es

gamedir = str(es.ServerVar('eventscripts_gamedir'))

def listfiles_cmd():
    if es.getargc() == 1:
        searchpath = gamedir
    else:
        searchpath = os.path.join(gamedir, es.getargs())
    if os.path.exists(searchpath):
        files = os.listdir(searchpath)
        es.dbgmsg(0, 'Contents of %s'%searchpath)
        for filename in files:
            filepath = os.path.join(searchpath, filename)
            if os.path.isdir(filepath):
                displayname = filename+os.sep
            else:
                displayname = filename
            es.dbgmsg(0, displayname)
               
if not es.exists('command', 'listfiles'):
   es.regcmd('listfiles', 'listfiles/listfiles_cmd')